Zurück | Kapitel 8. Netzwerk | Weiter

## Kapitel 8. Netzwerk

Wenn Sie über mehrere Rechner verfügen, liegt der Gedanke nahe, ein kleines Netzwerk aufzubauen. Dies kann sinnvoll sein, um Daten zwischen den Rechnern auszutauschen, um Festplatten, Drucker oder Scanner, die an einem Rechner angeschlossen sind, auch an anderen Rechnern nutzen zu können, oder auch, um einfach mal damit experimentiert zu haben.

Eine weitere Anwendung wäre, über das Netzwerk und den Linux-Server auch anderen Rechnern, eventuell mit anderen Betriebssystemen, einen Zugang zum Internet zu verschaffen.

Netzwerkkarten sind sehr preiswert zu haben, schon ab 15 Euro pro Stück für die einfachsten Modelle. Weiterhin benötigen Sie noch ein passendes Kabel. Ein einfaches Netzwerk lässt sich mit zwei 10/100 MBit-Netzwerkkarten und einem BNC-Kabel aufbauen. Eine solche Zusammenstellung ist häufig auch als Komplettpaket zu bekommen.

Stand der Dinge sind aber 100- bzw. 1000-MBit-Karten (die nur unwesentlich teurer sind). Diese benötigen allerdings so genannte TP-(Twisted Pair-)Kabel, die über einen Hub miteinander verbunden werden. Es sind auch spezielle (gekreuzte) TP-Kabel im Handel; damit können Sie jedoch maximal zwei Rechner miteinander verbinden. Auch die Kombination: zwei 100-MBit-Karten, Hub und Kabel bekommen Sie im Paket. Für ein Notebook benötigen Sie eine Netzwerkkarte im PCMCIA-Format; diese sind ab ca. 35 Euro erhältlich.

Nachdem Sie die Hardware beschafft und in Ihrem Rechner installiert haben, müssen Sie diese noch Ihrem Debian GNU/Linux bekannt machen, sprich den passenden Treiber installieren und das TCP/IP-Routing aufsetzen. Sollten Sie die nötigen Eintragungen nicht während der Basisinstallation vorgenommen haben (dies ist der einfachste Weg!), so müssen Sie die Treiber nachträglich installieren.

## 8.1 Netzwerkkarte

Das Einbinden einer Netzwerkkarte ist nicht weiter schwierig; in den meisten Fällen reicht das Laden eines einzigen Moduls aus. Auch bei Netzwerkkarten ist es sehr von Vorteil, wenn der Hersteller und der Typ der Karte bekannt sind. Bei großen Herstellern (3Com, Intel usw.) ist dies recht einfach; dort sind die Angaben meist auf die Karte aufgedruckt. Wenn Sie aber eine Karte von einem unbekannten Hersteller gekauft haben, wird die Sache etwas schwieriger. Hier sollten Sie einen Blick auf den größten Chip werfen und den Hersteller und ggf. die Nummer notieren.

Bei neueren Karten mit PCI-Bus kommen momentan hauptsächlich zwei Treiber in die engere Auswahl: so genannte NE2000-kompatible Karten werden vom Modul `ne2k-pci` bedient. Ebenfalls weit verbreitet sind Karten mit einem RealTek-Chipsatz. Hierfür ist in Kerneln mit der Version 2.2.x das Modul `rtl8139` zuständig. Dieses wurde ab dem Kernel 2.4 in `8139too` umbenannt.

Ältere ISA-Bus-Karten, die man manchmal sogar geschenkt bekommt, sind ebenfalls häufig NE2000-kompatibel. Für diese Karten benötigen Sie das Modul `8390` (das von `modprobe` automatisch mit dem eigentlichen Treiber geladen wird) sowie das Modul `ne`. Oft ist es bei diesen Karten allerdings nötig, dem Modul weitere Parameter mitzugeben. In den meisten Fällen kommt man mit dem Kommando `modprobe ne io=0x300` aus. Weitere Werte für den Parameter `io` sind: `0x280, 0x320, 0x340` usw. In Ausnahmefällen kann auch die Angabe des Interrupts weiterhelfen; Beispiel: `modprobe ne irq=7 io=0x300`. Mit dem Kommando `cat /proc/interrupts` können Sie herausfinden, welche Interrupts bereits benutzt werden.

Wenn Sie erfolgreich die Treiber für Ihre Karte laden konnten, können Sie diese Angaben dauerhaft in die Datei `/etc/modules` eintragen.

Nun müssen Sie noch die Netzwerkkarte konfigurieren und die passenden Routen für Ihr Netzwerk setzen. Tragen Sie die gewünschten Werte in die Datei `/etc/network/interfaces` ein:

    # /etc/network/interfaces -- configuration file for ifup(8), ifdown(8)

    # The loopback interface
    iface lo inet loopback

    # The first network card - this entry was created during the Debian
    # installation (network, broadcast and gateway are optional)
    iface eth0 inet static
    	address 192.168.1.1
    	netmask 255.255.255.0
    	network 192.168.1.0
    	broadcast 192.168.1.255

Dieses Beispiel benutzt nicht geroutete Adressen und kann ohne Probleme für Ihr privates Netz übernommen werden. Um die Einstellungen zu aktivieren, können Sie das Programm `ifup` mit dem gewünschten Namen des Interfaces als Superuser ausführen. In diesem Beispiel tun Sie das mit dem Kommando `ifup eth0`. Um ein Netzwerkinterface zu deaktivieren, benutzen Sie den Befehl `ifdown`. Beide Kommandos verfügen noch über eine Reihe weiterer Optionen, eine kurze Übersicht erhalten Sie mit der Option `--help`:

    linux:~# ifup --help
    Usage: ifup -anvsh -i<file> <ifaces...>

    	-a --all		de/configure all interfaces automatically
    	-s --scheme SCHEME	use SCHEME as scheme
    	-h --help		this help
    	-i --interfaces FILE	use FILE for interface definitions
    	-n --no-act		print out what would happen, but don't do it
    	-v --verbose		print out what would happen before doing it

Eine ausführliche Beschreibung finden Sie in der jeweiligen Manpage.

Zurück |  | Weiter
7.10 PDA - Personal Digital Assistant | Zum Anfang | 8.2 TCP/IP

© 1999-2006 Frank Ronneburg - Dieser Inhalt ist unter einem Creative Commons Namensnennung - Nicht-kommerziell - Keine Bearbeitung Lizenzvertrag lizenziert (creativecommons.org/licenses/by-nc-nd/2.0/de/legalcode).